"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.COOKIE_FILE_PATH = exports.TIMETABLE_TABLE_PATH = exports.RESULT_TABLE_PATH = exports.CREDENTIALS_FILE_PATH = exports.DUMP_BASE_PATH = exports.IMALUUM_SUBPAGE_LINKS = exports.IMALUUM_HOME_PAGE = exports.IMALUUM_LOGIN_PAGE = void 0;
const node_os_1 = __importDefault(require("node:os"));
const node_path_1 = __importDefault(require("node:path"));
exports.IMALUUM_LOGIN_PAGE = "https://cas.iium.edu.my:8448/cas/login?service=https%3a%2f%2fimaluum.iium.edu.my%2fhome";
exports.IMALUUM_HOME_PAGE = "https://imaluum.iium.edu.my/home";
exports.IMALUUM_SUBPAGE_LINKS = {
    RESULT: "https://imaluum.iium.edu.my/MyAcademic/result",
    TIMETABLE: "https://imaluum.iium.edu.my/MyAcademic/schedule",
};
const tmpDir = node_os_1.default.tmpdir();
exports.DUMP_BASE_PATH = node_path_1.default.join(tmpDir, "imaluum-cli");
exports.CREDENTIALS_FILE_PATH = node_path_1.default.join(exports.DUMP_BASE_PATH, "credentials.txt");
exports.RESULT_TABLE_PATH = node_path_1.default.join(exports.DUMP_BASE_PATH, "result_table.html");
exports.TIMETABLE_TABLE_PATH = node_path_1.default.join(exports.DUMP_BASE_PATH, "timetable_table.html");
exports.COOKIE_FILE_PATH = node_path_1.default.join(exports.DUMP_BASE_PATH, "cookie.json");
